UM-Agent for OS/2 - Parameter file help
---------------------------------------


Note : comments may be inserted in the parameter file
       by beginning the comment line with ;



N. NETWORK OPTIONS:
===================

N.1: Informational UM-Agent IP address
--------------------------------------
This is the content of the upsAgentIpaddress UPS MG MIB V1.6
object which should be in accordance with the real IP address
configured for TCP/IP.
Initial default value is 0.0.0.0
hostIPAddress=0.0.0.0

N.2: Informational host name
----------------------------
This is the logical network name of the computer.
Initial default value is empty string
hostName=

N.3: SNMP community name
------------------------
This is the community name used by the native SNMP agent.
Initial default value is public
communityName=public

N.4: AutoLearning activation switch
-----------------------------------
This is to enable or disable AutoLearning for SNMP manager but is
not effective for UM-Agent.
Initial default value is disabled (2)
upsActivateAutoLearning=2

N.5: Trap acknowledgement timeout
---------------------------------
This is the number of seconds to wait before trying to resend
trap that has not been acknowledged.
Initial default value is 5 seconds
upsTrapAckTimeout=5

N.6: Trap acknowledgement maximum retries
-----------------------------------------
This is the maximum number of retries to resend trap that has not
been acknowledged. Initial default value is 4 times
upsTrapRetryCount=4

N.7: Port number for SNMP get requests
--------------------------------------
This is the number of the UDP port used by UM-Agent to perform
get requests on the SNMP Agent. Initial default value is 161
upsSnmpGetPort=161

N.8: Port number for SNMP traps
-------------------------------
This is the number of the port used by UM-Agent to send traps.
Initial default value is 162
upsSnmpTrapPort=162


U. UPS OPTIONS:
===============
U.1: Serial port
----------------
This is the serial port used for communication with UPS.
Initial default value is COM1
upsSerialPort=COM1

U.2: Baud Rate
--------------
This is the baud rate used for communication with UPS.
Do not modify this value.
Initial default value is 2400
upsBaudRate=2400


T. TRACES OPTIONS:
==================
T.1: RS232 trace activation switch
----------------------------------
This parameter enables (1) or disables (0) the automatic
trace in the related log file of ASCII commands and responses
sent and received on the RS232 serial line.
Initial default value is disabled (0)
upsActivateRS232Trace=0

T.2: Traps log activation switch
--------------------------------
This parameter enables (1) or disables (0) the automatic
log of SNMP traps sent to specific manager on the network.
Acknowledgements are also stored in the log file.
Initial default value is disabled (0)
upsActivateTrapTrace=0

T.3: Get/Set log activation switch
----------------------------------
This parameter enables (1) or disables (0) the automatic
trace of SNMP get/set requests. Initial default value is disabled (0)
upsActivateGetSetTrace=0

T.4: User command activation switch
-----------------------------------
This parameter enables (N) or disables (0) any user specific action to
be performed in a user command file. The user command file is called
on every N UPS monitoring cycle.
Initial default value is disabled (0)
upsActivateUserTrace=0

T.4: Periodic measures activation flag
--------------------------------------
This parameter defines the period of periodic measures with the following
values : 1=day 2=hour 3=5 minutes 4=none
Initial default value is none (4)
upsLogPollingRate=4

T.6: RS232 log size
-------------------
This is the maximum number of RS232 commands or responses in
the RS232 log file. Initial default value is 1000
upsRS232LogSize=1000

T.7: Traps log size
-------------------
This is the maximum number of traps and trap acknowledgements
in the trap log file. Initial default value is 1000
upsTrapLogSize=1000

T.8: Get/Set log size
---------------------
This is the maximum number of line of the Get/Set log file.
Initial default value is 1000
upsGetSetLogSize=1000

T.9: Log file size
------------------
This is the maximum number of lines in the periodic measures log file.
Initial default value is 1000
upsLogFileSize=1000

T.10: RS232 log file name
-------------------------
This is the name of the RS232 log file (in umagent base
directory). Initial default value is RS232.TMP
upsRS232TraceFile=RS232.TMP

T.11: Traps log file name
-------------------------
This is the name of the traps log file (in umagent base
directory). Initial default value is TRAP.TMP
upsTrapTraceFile=TRAP.TMP

T.12: Get/Set log file name
---------------------------
This is the name of the Get/Set log file (in umagent base
directory). Initial default value is GETSET.TMP
upsGetSetTraceFile=GETSET.TMP

T.13: User command file name
----------------------------
This is the name of the user command file (in umagent base
directory). Initial default value is USER.CMD. This command file
is called on every N monitoring cycle (see parameter
upsActivateUserTrace)
upsUserTraceProgramm=USER.CMD

T.14: Measure log file name
---------------------------
This is the name of periodic measures log file.
upsLogFileName=MEASURE.TMP

T.15: UMA_ED software level
---------------------------
This is the software level of uma_ed used to modify this file.
Do not change this parameter
umaEdLevel=300


S. START OPTIONS:
=================
S.1: Automatic startup switch
-----------------------------
This parameter enables (1) or disables (0) the automatic
start of UM-Agent at system boot.
Initial default value is enabled (1)
upsAutomaticStartup=1

S.2: Automatic startup delay
----------------------------
This is the delay in seconds beetwen system boot and UM-Agent
automatic start. Initial default value is 30 seconds.
upsDelayAfterBoot=30


F. FILE OPTIONS:
================
F.1: MIB general description file
---------------------------------
This parameter is the name of the MIB description file used
for registration of object to the native SNMP agent.
Initial default value is MIB.TBL
upsMibTblFile=MIB.TBL

F.2: MG scalar objects UPS-MIB file
-----------------------------------
This parameter is the name of the file containing current value
for objects of the MG UPS-MIB. Initial default value is MIBMG.INI
upsMGSaveTable=MIBMG.INI

F.3: IETF scalar objects UPS-MIB file
-------------------------------------
This parameter is the name of the file containing current value
for objects of the IETF UPS-MIB.
Initial default value is MIBIETF.INI
upsIETFSaveTable=MIBIETF.INI

F.4: COMPAQ scalar objects UPS-MIB file
-------------------------------------
This parameter is the name of the file containing current value
for objects of the COMPAQ UPS-MIB.
Initial default value is MIBCPQ.INI
upsCPQSaveTable=MIBCPQ.INI

F.5: MG UPS-MIB manager table file
----------------------------------
This parameter is the name of the file containing the current
manager table. Initial default value is MANAGER.INI
upsManagerTable=MANAGER.INI

F.6: MG UPS-MIB device table file
---------------------------------
This parameter is the name of the file containing the current
device table. Initial default value is DEVICES.INI
upsDevicesTable=DEVICES.INI

F.7: MG UPS-MIB receptacle table file
-------------------------------------
This parameter is the name of the file containing the current
receptacle tables. Initial default value is RECEPT.INI
upsReceptaclesTable=RECEPT.INI

F.8: MG UPS-MIB external alarms table file
------------------------------------------
This parameter is the name of the file containing the current
externally supplied alarms tables.
Initial default value is ALARMS.INI
upsAlarmsTable=ALARMS.INI

F.9: MG UPS-MIB schedule table file
-----------------------------------
This parameter is the name of the file containing the current
control table for schedule.
Initial default value is CTRLDAY.INI
upsControlDayTable=CTRLDAY.INI

F.10: Objects table file
-----------------------
This parameter is the name of the file containing the selected
objects for periodic measures.
Initial default value is LOGSET.INI
upsControlDayTable=LOGSET.INI

F.11: CPQ scalar objects UPS-MIB file
-------------------------------------
This parameter is the name of the file containing current value
for objects of the COMPAQ UPS-MIB. Initial default value is MIBCPQ.INI
upsCPQSaveTable=MIBCPQ.INI

R. RATE OPTIONS:
================
R.1: Low polling rate
---------------------
UPS polling rate when the connection between Agent and UPS is in
disconnect state (in tenth part of seconds). Default value is 50.
upsLowPollingRate=50 (5 seconds)

R.2: High polling rate
----------------------
UPS polling rate when the connection between Agent and UPS is in
connect state (in tenth part of seconds). Default value is 10.
upsHighPollingRate=10

R.3: Low monitoring rate
------------------------
UPS status monitoring rate when the connection between Agent and UPS
is in disconnect state (in tenth part of seconds).
Default value is 500.
upsLowMonitoringRate=500

R.4: High monitoring rate
-------------------------
UPS status monitoring rate when the connection between Agent and UPS
is in connect state (in tenth part of seconds).
Default value is 50.
upsHighMonitoringRate=50

R.5: Task scheduling rate
-------------------------
Pause (in miliseconds) between the execution of two elementary tasks.
Default value is 10.
upsTaskSchedulingRate=10

R.6: RS232 Time out
-------------------
Timeout (in tenth part of seconds) delay on the serial line.
Default value is 200.
upsRS232Timeout=200

R.7: Maximum number of timeout errors
-------------------------------------
Maximum number of timeout errors on serial line before UM-Agent
assumes the UPS is diconnected.
Default value is 5.
upsMaxTimeoutError=5


D. FILE RESET DISK OPTIONS:
===========================
These parameters are used by UM-Agent to write internal MIB buffers
to the disk.
The files are written to the disk on every N SET operations. N is
the value specified by the parameter.

D1: Reset parameter for the MG UPS-MIB save file
------------------------------------------------
Default value is 5.
upsMGResetDisk=5

D2: Reset parameter for the IETF UPS-MIB save file
--------------------------------------------------
Default value is 10.
upsIETFResetDisk=10

D3: Reset parameter for the CPQ UPS-MIB save file
-------------------------------------------------
Default value is 1.
upsCPQResetDisk=1

D4: Reset parameter for the MG UPS-MIB manager table
----------------------------------------------------
Default value is 7.
upsManagerResetDisk=7

D5: Reset parameter for the MG UPS-MIB receptacle table
-------------------------------------------------------
Default value is 10.
upsReceptaclesResetDisk=10

D6: Reset parameter for the MG UPS-MIB device table
---------------------------------------------------
Default value is 2.
upsDevicesResetDisk=2

D7: Reset parameter for the MG UPS-MIB external alarms table
------------------------------------------------------------
Default value is 2.
upsAlarmsResetDisk=2

D8: Reset parameter for the MG UPS-MIB schedule table
-----------------------------------------------------
Default value is 2.
upsControlDayResetDisk=2


